<?php

namespace App\Http\Controllers;

use App\UserRole;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class RouteController extends Controller
{
    function home(Request $request) {
        if (!Auth::check())
            return redirect('/login');

        $barrio = UserRole::where('nombre', 'barrio')->first();
        $admin = UserRole::where('nombre', 'admin_barrio')->first();
        $comision = UserRole::where('nombre', 'comision')->first();

        switch ($request->user()->role_id) {
            case $barrio->id:
                return redirect('/productos');
            case $admin->id:
                return redirect('/admin');
            case $comision->id:
                return redirect('/compras');
            default:
                abort(400, 'Rol de usuario invalido');
        }
    }
}
