<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ session("subpedido_nombre") ? "Pedido de " . session("subpedido_nombre") . " - " . config('app.name', 'Pedidos del MPS') : config('app.name', 'Pedidos del MPS')}}</title>
    <link rel="icon" type="image/x-icon" href="/assets/favicon.png">

    <!-- Fonts -->
    <script src="https://kit.fontawesome.com/9235d1c676.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="{{ mix('css/app.css') }}">
    @yield('stylesheets')


</head>
<body class="has-navbar-fixed-top">
    <div id="root">
        <comunes-nav-bar>
            <template slot="subpedido">{{ session('subpedido_nombre') ? 'Pedido de '. session('subpedido_nombre') : Auth::user()->name }}</template>
            <template slot="gdc">{{ session('subpedido_nombre') ? Auth::user()->name : "" }}</template>
            <template slot="logout-form">
                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                    @csrf
                </form>
            </template>
        </comunes-nav-bar>
        <pedidos-nav-migas></pedidos-nav-migas>

        <main id="main" class="py-4 has-top-padding">
            <pedidos-cartel-pedido-aprobado></pedidos-cartel-pedido-aprobado>
            @yield('content')
        </main>
    </div>
    <!-- Scripts -->
    <script src="{{ mix('js/app.js') }}" defer></script>
    @yield('scripts')
</body>
</html>
